@media (hover: hover)
{
    .NewsContainer
    {
        overflow: hidden;
        position: relative;
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        background-image: url("../../Profile/Sources/repeat.png");
        background-size: 100% auto;
        background-repeat: repeat-y;
    }

    .NewsJustifier
    {
        position: relative;
        max-width: 1500px;
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        overflow: hidden;
        gap: 0.2rem;
        overflow: hidden;
        background-color: black;
        box-shadow: 0px 0px 50px 30px black;
    }

    .NewContainer
    {
        position: relative;
        width: 100%;
        height: 12rem;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        flex-wrap: nowrap;
        cursor: pointer;
        background-color: rgb(40, 40, 40);
        overflow: hidden;

        transition-property: height;
        transition-duration: 0.2s;
        transition-timing-function: ease-in;
    }

    .NewImageContainer
    {
        position: relative;
        min-width: 30%;
        height: 100%;
        background-position: center;

        opacity: 100%;

        transition-property: min-width, width, opacity;
        transition-duration: 0.1s, 0.1s;
        transition-timing-function: ease-in;
    }

    .NewInformationContainer
    {
        position: relative;
        min-width: 70%;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: rgba(40, 40, 40, 1);
        box-shadow: inset 0px 0px 15px rgba(0,0,0,0.5);

        /* Prevent text selection while dragging */
        -webkit-user-select: none;
        -ms-user-select: none;
        user-select: none;

        opacity: 100%;

        transition-property: min-width, width, opacity, background-color;
        transition-duration: 0.1s, 0.1s, 0.1s, 0.3s;
        transition-timing-function: ease-in;
    }

    .NewInformationContainer a
    {
        width: 0px;
        overflow: hidden;

        transition-property: width;
        transition-duration: 0.1s;
    }

    .NewInformationButton
    {
        display: flex;
        justify-content: center;
        align-items: center;

        background-color: red;
        text-decoration: none;
        width: 0%;
        height: 100%;
        line-height: 100%;

        writing-mode: vertical-rl;
        text-orientation: upright;
        color: white;
        font-weight: 600;
        font-size: 1.7rem;
        letter-spacing: 0.5rem;

        overflow: hidden;

        transition-property: width;
        transition-delay: 0.1s;
        transition-duration: 0.1s;
        transition-timing-function: ease-in;
    }

    .NewInformationJustifier
    {
        position: relative;
        width: 90%;
        max-height: 90%;
        min-height: 80%;
        overflow: hidden;
        opacity: 100%;

        transition-property: width, opacity;
        transition-duration: 0.1s, 0.1s;
        transition-timing-function: ease-in;
    }

    .NewInformationJustifier a
    {
        display: flex;
        justify-content: center;
        width: 4rem;
        height: 1.5rem;
        line-height: 1.5rem;
        background-color: red;
        text-decoration: none;
        color: white;
        font-size: 0.9rem;
        font-weight: 600;
    }

    .NewInformationJustifier h3
    {
        font-size: 1.1rem;
        color: white;
        font-weight: 600;
        margin: 1rem 0 0 0;
    }

    .NewInformationJustifier div
    {
        position: relative;
        display: flex;
        flex-direction: row;
        align-items: center;
        height: 1.5rem;
        line-height: 1.5rem;
        font-size: 0.6rem;
        color: white
    }

    .NewInformationJustifier div p
    {
        margin-left: 0.5rem;
    }

    .NewInformationDescription
    {
        margin: 1rem 0 0 0;
        width: 100%;
        line-height: 200%;
        text-align: justify;
        font-size: 0.7rem;
        color: white;
        overflow: hidden;
    }
}

/* Touchable devices */
@media (hover: none)
{
    .NewsContainer
    {
        overflow: hidden;
        position: relative;
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        background-image: url("../../Profile/Sources/repeat.png");
        background-size: 100% auto;
        background-repeat: repeat-y;
    }

    .NewsJustifier
    {
        position: relative;
        max-width: 1500px;
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
        overflow: hidden;
        background-color: black;
        box-shadow: 0px 0px 50px 30px black;
    }

    .NewContainer
    {
        position: relative;
        width: 100%;
        height: 12rem;
        display: flex;
        flex-direction: row;
        background-color: rgb(40, 40, 40);

        transition-property: height;
        transition-duration: 0.2s;
        transition-timing-function: ease-in;
    }

    .NewImageContainer
    {
        position: absolute;
        width: 100%;
        height: 100%;
        background-position: center;

        opacity: 100%;

        transition-property: opacity;
        transition-duration: 0.1s;
        transition-timing-function: ease-in;
    }

    .NewInformationContainer
    {
        position: absolute;
        width: 100%;
        height: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        background-color: rgba(0, 0, 0, 0.6);
        box-shadow: inset 0px 0px 15px rgba(0,0,0,0.5);

        /* Prevent text selection while dragging */
        -webkit-user-select: none;
        -ms-user-select: none;
        user-select: none;

        opacity: 100%;

        transition-property: opacity;
        transition-duration: 0.1s;
        transition-timing-function: ease-in;
    }

    .NewInformationContainer a
    {
        width: 0px;
        overflow: hidden;
    }

    .NewInformationButton
    {
        display: flex;
        justify-content: center;
        align-items: center;

        background-color: white;
        text-decoration: none;
        width: 3rem;
        height: 100%;
        line-height: 100%;

        writing-mode: vertical-rl;
        text-orientation: upright;
        color: red;
        font-weight: 600;
        font-size: 1.7rem;
        letter-spacing: 0.5rem;

        overflow: hidden;

        transition-property: width;
        transition-duration: 0.1s;
        transition-timing-function: ease-in;
    }

    .NewInformationJustifier
    {
        position: relative;
        margin-left: 10%;
        margin-right: 5%;
        width: 70%;
        height: 100%;
        max-height: 90%;
        overflow: hidden;
        opacity: 100%;
    }

    .NewInformationJustifier a
    {
        display: flex;
        justify-content: center;
        width: 3.3rem;
        height: 1.2rem;
        line-height: 1.2rem;
        background-color: red;
        text-decoration: none;
        color: white;
        font-size: 0.6rem;
        font-weight: 600;
    }

    .NewInformationJustifier h3
    {
        font-size: 1.1rem;
        color: white;
        font-weight: 600;
        margin: 0.5rem 0 0 0;
    }

    .NewInformationJustifier div
    {
        position: relative;
        display: flex;
        flex-direction: row;
        align-items: center;
        height: 1.5rem;
        line-height: 1.5rem;
        font-size: 0.6rem;
        color: white
    }

    .NewInformationJustifier div p
    {
        margin-left: 0.5rem;
    }

    .NewInformationDescription
    {
        margin: 1rem 0 0 0;
        width: 100%;
        line-height: 200%;
        text-align: justify;
        font-size: 0.7rem;
        color: white;
        overflow: hidden;
    }
}